"Matlab-like" plotting library

Issue 1489: plotlib plot function is not working

Reported by Benoît Leroux, Nov 6, 2014

Steps to reproduce the problem:

-->x = 1:1:5
 x  =
 
    1.    2.    3.    4.    5.  
 
-->plot(x, x)

Expected result:
I should see a window with a beautifull curve...

Actual result:
Instead, i get:
 !--error 21 
Index invalide.
at line      14 of function %h_e called by :  
at line      15 of function _update_shaded_plots called by :  
at line      91 of function _compute_data_bounds called by :  
at line     327 of function _mainPlot called by :  
at line      28 of function plot called by :  
plot(x, x)

I'm on scilab 5.5.0 and i'm using ubuntu 14.04.

~Benoxiid.

Comment 1 by Stéphane Mottelet, Nov 6, 2014

Hello,

The latest sources solves this problem. I have created the 0.46 
version on the atoms portal but the package has not been build yet. 
In the meantime, you can build the package from source and make a 
local install (ask me how to do if you don't know).

Comment 2 by Benoît Leroux, Nov 6, 2014

Wow. thanks for your quick answer, i downloaded the 0.46 version, 
and everything seems to be fine for now. Thanks a lot.

P.S.: Hope this will be on Atoms soon.

~Benoxiid.

Comment 3 by jay grey, Mar 28, 2017

Maybe ask http://writemypersonalstatement.net/ to write more 
detailed bug report, concerning this problem.

Comment 4 by milan joy, Oct 17, 2017

nice post

[url=http://www.google.com]see more[/url]

Created: 3 years 1 month ago by Benoît Leroux

Updated: 1 month 29 days ago

Status: New

Followed by: 3 persons

Labels:
Priority:Medium
Type:Defect